Page MenuHomePhabricator

VM requests for install_server replacements
Closed, ResolvedPublic

Description

Labs Project Tested: n/a
Site/Location: EQIAD
Number of systems: 1
Service: install_server
Networking Requirements: private
Processor Requirements: 1
Memory: 1G
Disks: 20G
Other Requirements: net-ops, ACL / dhcp-helper config changes

The VM will be used as an install_server (TFTP, DHCP, ...)

Labs Project Tested: n/a
Site/Location: CODFW
Number of systems: 1
Service: install_server
Networking Requirements: private
Processor Requirements: 1
Memory: 1G
Disks: 20G
Other Requirements: net-ops, ACL / dhcp-helper config changes

The VM will be used as an install_server (TFTP, DHCP, ...)

Event Timeline

Dzahn created this task.Feb 5 2020, 6:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2020, 6:51 PM

Why the "Networking Requirements: public"? With the repository split off, those should be fine with an internal IP.

Disk space-wise I think we're fine with 20G, see https://phabricator.wikimedia.org/T242602#5797731 and 1 G of RAM should be sufficient as well.

Dzahn added a comment.Feb 5 2020, 7:39 PM

Hmm.. fair enough. That means my DNS change was not correct though, it defined public IPs as before.

Dzahn updated the task description. (Show Details)Feb 5 2020, 7:40 PM
Dzahn added a comment.Feb 6 2020, 2:18 AM

reverted / removed public IPs, added private IPs

Mentioned in SAL (#wikimedia-operations) [2020-02-06T02:21:35Z] <mutante> ganeti - Creating new VM named install1003.eqiad.wmnet in eqiad with row=C vcpu=1 memory=1 gigabytes disk=20 gigabytes link=private (T244390)

Mentioned in SAL (#wikimedia-operations) [2020-02-06T02:42:57Z] <mutante> ganeti - Creating new VM named install2003.codfw.wmnet in codfw with row=A vcpu=1 memory=1 gigabytes disk=20 gigabytes link=private (T244390)

Dzahn updated the task description. (Show Details)Feb 6 2020, 2:44 AM
Dzahn closed this task as Resolved.Feb 7 2020, 8:43 PM

VMs have been created. OS install now worked at second attempt.

Mentioned in SAL (#wikimedia-operations) [2020-03-06T19:48:40Z] <mutante> re-creating install1003 and install2003 with same specs as before but public IP (T244390)

Dzahn added a comment.Mar 6 2020, 7:53 PM

VMs with private IPs have been removed again (with cookbook) and new VMs have been created in wikimedia.org.

Change 577663 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: switch install1003/2003 to public IP, new VMs, update MACs

https://gerrit.wikimedia.org/r/577663

Change 577663 merged by Dzahn:
[operations/puppet@production] DHCP: switch install1003/2003 to public IP, new VMs, update MACs

https://gerrit.wikimedia.org/r/577663